org.apache.thrift

## Class TUnion<T extends TUnion<?,?>,F extends TFieldIdEnum>

- java.lang.Object
- - org.apache.thrift.TUnion<T,F>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<T>, TBase<T,F>

      public abstract class TUnion<T extends TUnion<?,?>,F extends TFieldIdEnum>
      extends java.lang.Object
      implements TBase<T,F>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected F` | `setField_`
    `protected java.lang.Object` | `value_`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TUnion()`
    `protected` | `TUnion(F setField, java.lang.Object value)`
    `protected` | `TUnion(TUnion<T,F> other)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `checkType(F setField, java.lang.Object value)` Implementation should be generated so that we can efficiently type check various values.
    `void` | `clear()` Return to the state of having just been initialized, as though you had just called the default constructor.
    `protected abstract F` | `enumForId(short id)`
    `protected abstract TField` | `getFieldDesc(F setField)`
    `java.lang.Object` | `getFieldValue()`
    `java.lang.Object` | `getFieldValue(F fieldId)` Get a field's value by field variable.
    `java.lang.Object` | `getFieldValue(int fieldId)`
    `F` | `getSetField()`
    `protected abstract TStruct` | `getStructDesc()`
    `boolean` | `isSet()`
    `boolean` | `isSet(F fieldId)` Check if a field is currently set or unset.
    `boolean` | `isSet(int fieldId)`
    `void` | `read(TProtocol iprot)` Reads the TObject from the given input protocol.
    `protected abstract java.lang.Object` | `readValue(TProtocol iprot, TField field)` Implementation should be generated to read the right stuff from the wire based on the field header.
    `void` | `setFieldValue(F fieldId, java.lang.Object value)` Set a field's value by field variable.
    `void` | `setFieldValue(int fieldId, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `write(TProtocol oprot)` Writes the objects out to the protocol
    `protected abstract void` | `writeValue(TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.thrift.TBase

      `deepCopy, fieldForId`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### value_

          protected java.lang.Object value_

    - #### setField_

          protected F extends TFieldIdEnum setField_

  - ### Constructor Detail

    - #### TUnion

          protected TUnion()

    - #### TUnion

          protected TUnion(F setField,
                java.lang.Object value)

    - #### TUnion

          protected TUnion(TUnion<T,F> other)

  - ### Method Detail

    - #### getSetField

          public F getSetField()

    - #### getFieldValue

          public java.lang.Object getFieldValue()

    - #### getFieldValue

          public java.lang.Object getFieldValue(F fieldId)

      Description copied from interface: `TBase`
      Get a field's value by field variable. Primitive types will be wrapped in the appropriate "boxed" types.
      Specified by:
        `getFieldValue` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(int fieldId)

    - #### isSet

          public boolean isSet()

    - #### isSet

          public boolean isSet(F fieldId)

      Description copied from interface: `TBase`
      Check if a field is currently set or unset.
      Specified by:
        `isSet` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`

    - #### isSet

          public boolean isSet(int fieldId)

    - #### read

          public void read(TProtocol iprot)
                    throws TException

      Description copied from interface: `TBase`
      Reads the TObject from the given input protocol.
      Specified by:
        `read` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`
      Parameters:
        `iprot` - Input protocol
      Throws:
        `TException`

    - #### setFieldValue

          public void setFieldValue(F fieldId,
                           java.lang.Object value)

      Description copied from interface: `TBase`
      Set a field's value by field variable. Primitive types must be "boxed" in the appropriate object wrapper type.
      Specified by:
        `setFieldValue` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`

    - #### setFieldValue

          public void setFieldValue(int fieldId,
                           java.lang.Object value)

    - #### write

          public void write(TProtocol oprot)
                     throws TException

      Description copied from interface: `TBase`
      Writes the objects out to the protocol
      Specified by:
        `write` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`
      Parameters:
        `oprot` - Output protocol
      Throws:
        `TException`

    - #### checkType

          protected abstract void checkType(F setField,
                       java.lang.Object value)
                                     throws java.lang.ClassCastException

      Implementation should be generated so that we can efficiently type check various values.
      Parameters:
        `setField` -
        `value` -
      Throws:
        `java.lang.ClassCastException`

    - #### readValue

          protected abstract java.lang.Object readValue(TProtocol iprot,
                                   TField field)
                                                 throws TException

      Implementation should be generated to read the right stuff from the wire based on the field header.
      Parameters:
        `field` -
      Returns:
      Throws:
        `TException`

    - #### writeValue

          protected abstract void writeValue(TProtocol oprot)
                                      throws TException

      Throws:
        `TException`

    - #### getStructDesc

          protected abstract TStruct getStructDesc()

    - #### getFieldDesc

          protected abstract TField getFieldDesc(F setField)

    - #### enumForId

          protected abstract F enumForId(short id)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clear

          public final void clear()

      Description copied from interface: `TBase`
      Return to the state of having just been initialized, as though you had just called the default constructor.
      Specified by:
        `clear` in interface `TBase<T extends TUnion<?,?>,F extends TFieldIdEnum>`